from pathlib import Path
from pydantic_settings import BaseSettings

class Settings(BaseSettings):
    PROJECT_NAME: str = "SimpleTodoApp"
    API_V1_STR: str = "/api/v1"
    
    # Database settings
    DB_DIR: Path = Path("/app") / "storage" / "db"
    
    def __init__(self, **kwargs):
        super().__init__(**kwargs)
        self.DB_DIR.mkdir(parents=True, exist_ok=True)
    
    class Config:
        env_file = ".env"
        case_sensitive = True

settings = Settings()